<?xml version="1.0"?>
<doc>
<assembly>
<name>CrystalDecisions.ReportAppServer.CommonObjectModel</name>
</assembly>
<members>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.CrUserRights">
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.CrUserRightEnum">
</member>
<member name="F:CrystalDecisions.ReportAppServer.CommonObjectModel.CrUserRightEnum.crUserRightModifyReportEnabled">
</member>
<member name="F:CrystalDecisions.ReportAppServer.CommonObjectModel.CrUserRightEnum.crUserRightCreateReportEnabled">
</member>
<member name="F:CrystalDecisions.ReportAppServer.CommonObjectModel.CrUserRightEnum.crUserRightViewReportEnabled">
</member>
<member name="F:CrystalDecisions.ReportAppServer.CommonObjectModel.CrUserRightEnum.crUserRightHaveRCAPILicense">
</member>
<member name="F:CrystalDecisions.ReportAppServer.CommonObjectModel.CrUserRightEnum.crUserRightExportReportEnabled">
</member>
<member name="F:CrystalDecisions.ReportAppServer.CommonObjectModel.CrUserRightEnum.crUserRightRefreshReportEnabled">
</member>
<member name="F:CrystalDecisions.ReportAppServer.CommonObjectModel.CrUserRightEnum.crUserRightDownloadRptEnabled">
</member>
<member name="F:CrystalDecisions.ReportAppServer.CommonObjectModel.CrUserRightEnum.crUserRightHaveAllRights">
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRObject">
<summary>
ISCRObject Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRObject.Clone(System.Boolean)">
<summary>
method Clone</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRObject.CopyTo(CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRObject,System.Boolean)">
<summary>
method CopyTo</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRObject.Equals(CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRObject)">
<summary>
method Equals</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray">
<summary>
ISCRByteArray Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.QueryInterface(System.Guid@,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.AddRef">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.Release">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.GetTypeInfoCount(System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.GetTypeInfo(System.Int32,System.UInt32,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.GetIDsOfNames(System.Guid@,System.IntPtr,System.Int32,System.UInt32,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.Invoke(System.Int32,System.Guid@,System.UInt32,System.UInt16,DISPPARAMS,System.Object@,EXCEPINFO,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.Clone(System.Boolean)">
<summary>
method Clone</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.CopyTo(CrystalDecisions.ReportAppServer.CommonObjectModel.ByteArray,System.Boolean)">
<summary>
method CopyTo</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.Equals(CrystalDecisions.ReportAppServer.CommonObjectModel.ByteArray)">
<summary>
method Equals</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.ClassName">
<summary>
property ClassName</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.Count">
<summary>
The number of bytes</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.Byte">
<summary>
Returns a particular byte</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.Byte">
<summary>
Returns a particular byte</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.ByteArray">
<summary>
Returns the whole byte array</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.ByteArray">
<summary>
Returns the whole byte array</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.getref_ByteArray">
<summary>
method getref_ByteArray</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.AttachArray(System.Byte[],System.Boolean)">
<summary>
method AttachArray</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.DetachArray">
<summary>
Detaches the byte array to the caller.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.Save(System.String,System.Boolean)">
<summary>
Saves the byte array to a binary file</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.SetSize(System.Int32)">
<summary>
Changes the size of the byte array</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRByteArray.RemoveAll">
<summary>
Removes all bytes from the byte array</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage">
<summary>
ISCRStorage Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.QueryInterface(System.Guid@,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.AddRef">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.Release">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.GetTypeInfoCount(System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.GetTypeInfo(System.Int32,System.UInt32,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.GetIDsOfNames(System.Guid@,System.IntPtr,System.Int32,System.UInt32,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.Invoke(System.Int32,System.Guid@,System.UInt32,System.UInt16,DISPPARAMS,System.Object@,EXCEPINFO,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.Clone(System.Boolean)">
<summary>
method Clone</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.CopyTo(CrystalDecisions.ReportAppServer.CommonObjectModel.Storage,System.Boolean)">
<summary>
method CopyTo</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.Equals(CrystalDecisions.ReportAppServer.CommonObjectModel.Storage)">
<summary>
method Equals</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.ClassName">
<summary>
property ClassName</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.Name">
<summary>
property Name</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.Name">
<summary>
property Name</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.Stream">
<summary>
property Stream</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.Stream">
<summary>
property Stream</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.CreateStream(System.String)">
<summary>
method CreateStream</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.RemoveStream(System.String)">
<summary>
method RemoveStream</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.RenameStream(System.String,System.String)">
<summary>
method RenameStream</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.StreamCount">
<summary>
method StreamCount</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.RemoveAllStreams">
<summary>
method RemoveAllStreams</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRStorage.GetStream(System.Int32,System.String@,CrystalDecisions.ReportAppServer.CommonObjectModel.ByteArray@)">
<summary>
method GetStream</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRGenObjCollection">
<summary>
ISCRGenObjCollection Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRGenObjCollection.QueryInterface(System.Guid@,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRGenObjCollection.AddRef">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRGenObjCollection.Release">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRGenObjCollection.GetTypeInfoCount(System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRGenObjCollection.GetTypeInfo(System.Int32,System.UInt32,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRGenObjCollection.GetIDsOfNames(System.Guid@,System.IntPtr,System.Int32,System.UInt32,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRGenObjCollection.Invoke(System.Int32,System.Guid@,System.UInt32,System.UInt16,DISPPARAMS,System.Object@,EXCEPINFO,System.Int32@)">
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRGenObjCollection._NewEnum">
<summary>
property _NewEnum</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRGenObjCollection.Item">
<summary>
property Item, 0-based index</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRGenObjCollection.Item">
<summary>
property Item, 0-based index</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRGenObjCollection.Count">
<summary>
property Count</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRGenObjCollection.Add(System.Object)">
<summary>
method Add</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRGenObjCollection.Remove(System.Int32)">
<summary>
method Remove 0-based index</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRGenObjCollection.Insert(System.Int32,System.Object)">
<summary>
method Insert, 0-based index</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRGenObjCollection.RemoveAll">
<summary>
method RemoveAll</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRGenObjCollection.EnsureCapacity(System.Int32)">
<summary>
EnsureCapacity</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRGenObjCollection.FindIndexOf(System.Object)">
<summary>
method FindIndexOf, 0-based index</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRReadIStreamOnBytes">
<summary>
ISCRReadIStreamOnBytes Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRReadIStreamOnBytes.QueryInterface(System.Guid@,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRReadIStreamOnBytes.AddRef">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRReadIStreamOnBytes.Release">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRReadIStreamOnBytes.GetTypeInfoCount(System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRReadIStreamOnBytes.GetTypeInfo(System.Int32,System.UInt32,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRReadIStreamOnBytes.GetIDsOfNames(System.Guid@,System.IntPtr,System.Int32,System.UInt32,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRReadIStreamOnBytes.Invoke(System.Int32,System.Guid@,System.UInt32,System.UInt16,DISPPARAMS,System.Object@,EXCEPINFO,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISCRReadIStreamOnBytes.Attach(System.Byte@,System.Int32)">
<summary>
method Attach</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.ISARequestBase">
<summary>
ISARequestBase Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISARequestBase.QueryInterface(System.Guid@,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISARequestBase.AddRef">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISARequestBase.Release">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISARequestBase.GetTypeInfoCount(System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISARequestBase.GetTypeInfo(System.Int32,System.UInt32,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISARequestBase.GetIDsOfNames(System.Guid@,System.IntPtr,System.Int32,System.UInt32,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISARequestBase.Invoke(System.Int32,System.Guid@,System.UInt32,System.UInt16,DISPPARAMS,System.Object@,EXCEPINFO,System.Int32@)">
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISARequestBase.ID">
<summary>
property ID</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISARequestBase.ID">
<summary>
property ID</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISARequestBase.Options">
<summary>
property Options</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISARequestBase.Options">
<summary>
property Options</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISARequestBase.reserved5">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISARequestBase.reserved4">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISARequestBase.reserved3">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISARequestBase.reserved2">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISARequestBase.reserved1">
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext">
<summary>
ISASecurityContext Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.QueryInterface(System.Guid@,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.AddRef">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.Release">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.GetTypeInfoCount(System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.GetTypeInfo(System.Int32,System.UInt32,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.GetIDsOfNames(System.Guid@,System.IntPtr,System.Int32,System.UInt32,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.Invoke(System.Int32,System.Guid@,System.UInt32,System.UInt16,DISPPARAMS,System.Object@,EXCEPINFO,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.Clone(System.Boolean)">
<summary>
method Clone</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.CopyTo(CrystalDecisions.ReportAppServer.CommonObjectModel.SecurityContext,System.Boolean)">
<summary>
method CopyTo</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.Equals(CrystalDecisions.ReportAppServer.CommonObjectModel.SecurityContext)">
<summary>
method Equals</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.ClassName">
<summary>
property ClassName</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.ServerName">
<summary>
property ServerName</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.ServerName">
<summary>
property ServerName</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.UserName">
<summary>
property UserName</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.UserName">
<summary>
property UserName</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.Password">
<summary>
property Password</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.Password">
<summary>
property Password</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.Token">
<summary>
property Token</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.Token">
<summary>
property Token</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.UserGroupCount">
<summary>
property UserGroupCount</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.UserGroup">
<summary>
property UserGroup</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.UserRights">
<summary>
property UserRights</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.UserRights">
<summary>
property UserRights</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.AddUserGroup(System.Int32)">
<summary>
method AddUserGroup</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.RemoveUserGroup(System.Int32)">
<summary>
method RemoveUserGroup</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.RemoveAllUserGroups">
<summary>
method RemoveAllUserGroups</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.Authentication">
<summary>
property Authentication</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.Authentication">
<summary>
property Authentication</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.LocaleID">
<summary>
property LocaleID</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.LocaleID">
<summary>
property LocaleID</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.ClientVersion">
<summary>
property ClientVersion</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISASecurityContext.ClientVersion">
<summary>
property ClientVersion</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo">
<summary>
ISAResultInfo Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.QueryInterface(System.Guid@,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.AddRef">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.Release">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.GetTypeInfoCount(System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.GetTypeInfo(System.Int32,System.UInt32,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.GetIDsOfNames(System.Guid@,System.IntPtr,System.Int32,System.UInt32,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.Invoke(System.Int32,System.Guid@,System.UInt32,System.UInt16,DISPPARAMS,System.Object@,EXCEPINFO,System.Int32@)">
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.ResultCode">
<summary>
property ResultCode, could be one of CaResultCodeEnum</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.ResultCode">
<summary>
property ResultCode, could be one of CaResultCodeEnum</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.ResultObj">
<summary>
property ResultObj</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.ResultObj">
<summary>
property ResultObj</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.ErrorSource">
<summary>
property ErrorSource</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.ErrorSource">
<summary>
property ErrorSource</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.ErrorMsg">
<summary>
property ErrorMsg</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.ErrorMsg">
<summary>
property ErrorMsg</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.FileName">
<summary>
property FileName</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.FileName">
<summary>
property FileName</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.LineNumber">
<summary>
property LineNumber</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.LineNumber">
<summary>
property LineNumber</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.PreviousResultInfo">
<summary>
property PreviousResultInfo</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.PreviousResultInfo">
<summary>
property PreviousResultInfo</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.reserved5">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.reserved4">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.reserved3">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.reserved2">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAResultInfo.reserved1">
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo">
<summary>
ISACompoundResultInfo Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.QueryInterface(System.Guid@,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.AddRef">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.Release">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.GetTypeInfoCount(System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.GetTypeInfo(System.Int32,System.UInt32,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.GetIDsOfNames(System.Guid@,System.IntPtr,System.Int32,System.UInt32,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.Invoke(System.Int32,System.Guid@,System.UInt32,System.UInt16,DISPPARAMS,System.Object@,EXCEPINFO,System.Int32@)">
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.ResultCode">
<summary>
property ResultCode, could be one of CaResultCodeEnum</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.ResultCode">
<summary>
property ResultCode, could be one of CaResultCodeEnum</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.ResultObj">
<summary>
property ResultObj</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.ResultObj">
<summary>
property ResultObj</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.ErrorSource">
<summary>
property ErrorSource</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.ErrorSource">
<summary>
property ErrorSource</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.ErrorMsg">
<summary>
property ErrorMsg</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.ErrorMsg">
<summary>
property ErrorMsg</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.FileName">
<summary>
property FileName</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.FileName">
<summary>
property FileName</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.LineNumber">
<summary>
property LineNumber</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.LineNumber">
<summary>
property LineNumber</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.PreviousResultInfo">
<summary>
property PreviousResultInfo</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.PreviousResultInfo">
<summary>
property PreviousResultInfo</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.reserved5">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.reserved4">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.reserved3">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.reserved2">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.reserved1">
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.FailedRequestIndex">
<summary>
property FailedRequestIndex</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.FailedRequestIndex">
<summary>
property FailedRequestIndex</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.Count">
<summary>
property Count</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.Item">
<summary>
property Item, 0 based</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.Item">
<summary>
property Item, 0 based</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo._NewEnum">
<summary>
property _NewEnum</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.Add(CrystalDecisions.ReportAppServer.CommonObjectModel.ResultInfo)">
<summary>
method Add</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.Remove(System.Int32)">
<summary>
method Remove</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.Insert(System.Int32,CrystalDecisions.ReportAppServer.CommonObjectModel.ResultInfo)">
<summary>
Insert, index based 0</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundResultInfo.FindIndexOf(CrystalDecisions.ReportAppServer.CommonObjectModel.ResultInfo)">
<summary>
FindIndexOf, index based 0</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAGenericRequest">
<summary>
ISAGenericRequest Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAGenericRequest.QueryInterface(System.Guid@,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAGenericRequest.AddRef">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAGenericRequest.Release">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAGenericRequest.GetTypeInfoCount(System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAGenericRequest.GetTypeInfo(System.Int32,System.UInt32,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAGenericRequest.GetIDsOfNames(System.Guid@,System.IntPtr,System.Int32,System.UInt32,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAGenericRequest.Invoke(System.Int32,System.Guid@,System.UInt32,System.UInt16,DISPPARAMS,System.Object@,EXCEPINFO,System.Int32@)">
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAGenericRequest.ID">
<summary>
property ID</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAGenericRequest.ID">
<summary>
property ID</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAGenericRequest.Options">
<summary>
property Options</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAGenericRequest.Options">
<summary>
property Options</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAGenericRequest.reserved5">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAGenericRequest.reserved4">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAGenericRequest.reserved3">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAGenericRequest.reserved2">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAGenericRequest.reserved1">
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAGenericRequest.Object">
<summary>
property Object</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAGenericRequest.Object">
<summary>
property Object</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest">
<summary>
ISACompoundRequest Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.QueryInterface(System.Guid@,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.AddRef">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.Release">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.GetTypeInfoCount(System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.GetTypeInfo(System.Int32,System.UInt32,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.GetIDsOfNames(System.Guid@,System.IntPtr,System.Int32,System.UInt32,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.Invoke(System.Int32,System.Guid@,System.UInt32,System.UInt16,DISPPARAMS,System.Object@,EXCEPINFO,System.Int32@)">
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.ID">
<summary>
property ID</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.ID">
<summary>
property ID</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.Options">
<summary>
property Options</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.Options">
<summary>
property Options</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.reserved5">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.reserved4">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.reserved3">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.reserved2">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.reserved1">
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.Count">
<summary>
property Count</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.Item">
<summary>
property Item</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.Item">
<summary>
property Item</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest._NewEnum">
<summary>
property _NewEnum</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.Add(CrystalDecisions.ReportAppServer.CommonObjectModel.ISARequestBase)">
<summary>
method Add</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.Remove(System.Int32)">
<summary>
method Remove</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.Insert(System.Int32,CrystalDecisions.ReportAppServer.CommonObjectModel.ISARequestBase)">
<summary>
Insert, index based 0</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.FindIndexOf(CrystalDecisions.ReportAppServer.CommonObjectModel.ISARequestBase)">
<summary>
FindIndexOf, index based 0</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISACompoundRequest.EnsureCapacity(System.Int32)">
<summary>
EnsureCapacity</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAServerAgentInfo">
<summary>
ISAServerAgentInfo Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAServerAgentInfo.QueryInterface(System.Guid@,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAServerAgentInfo.AddRef">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAServerAgentInfo.Release">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAServerAgentInfo.GetTypeInfoCount(System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAServerAgentInfo.GetTypeInfo(System.Int32,System.UInt32,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAServerAgentInfo.GetIDsOfNames(System.Guid@,System.IntPtr,System.Int32,System.UInt32,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAServerAgentInfo.Invoke(System.Int32,System.Guid@,System.UInt32,System.UInt16,DISPPARAMS,System.Object@,EXCEPINFO,System.Int32@)">
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAServerAgentInfo.AgentId">
<summary>
property AgentId</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAServerAgentInfo.AgentId">
<summary>
property AgentId</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAServerAgentInfo.ServerVersion">
<summary>
property serverVersion</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.CommonObjectModel.ISAServerAgentInfo.ServerVersion">
<summary>
property serverVersion</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.ByteArray">
<summary>
ByteArray Class</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.Storage">
<summary>
Storage Class</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.GenObjCollection">
<summary>
GenObjCollection Class</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.ReadIStreamOnBytes">
<summary>
ReadIStreamOnBytes Class</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.SecurityContext">
<summary>
SecurityContext Class</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.ResultInfo">
<summary>
ResultInfo Class</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.ResultInfo2">
<summary>
ResultInfo2 Class</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.CompoundResultInfo">
<summary>
CompoundResultInfo Class</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.GenericRequest">
<summary>
GenericRequest Class</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.CompoundRequest">
<summary>
CompoundRequest Class</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.CommonObjectModel.ServerAgentInfo">
<summary>
ServerAgentInfo Class</summary>
</member>
</members>
</doc>
